configure: select warning suppression syntax based on armcc version